// Copyright 2003, SLAC, Stanford, U.S.A.
package org.freehep.swing.undo;

import javax.swing.undo.CompoundEdit;
import javax.swing.undo.UndoableEditSupport;

/**
 * @author Mark Donszelmann
 * @version $Id: AnimatedEditSupport.java,v 1.1.1.1 2004/05/31 05:08:49 kuromaru Exp $
 */

public class AnimatedEditSupport extends UndoableEditSupport {

    public AnimatedEditSupport() {
        super();
    }

    public AnimatedEditSupport(Object source) {
        super(source);
    }

    protected CompoundEdit createCompoundEdit() {
        // create a "done" AnimatedCompountEdit, since the edits themselves will
        // all be "redone" individually before adding.
	    return new AnimatedCompoundEdit(true);
    }
}
